Bug 805376 - [tech review] Add a testing and debugging chapter to the guide
[tech review] Add a testing and debugging chapter to the guide
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: doc-BRMS_Business_Process_Management_Guide (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: BRMS 5.3.0.GA
Assigned To: lcarlon
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 00:02 EDT by lcarlon
Modified: 2012-06-24 22:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-24 22:54:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lcarlon 2012-03-21 00:02:33 EDT
Add testing and debugging docs to the BPM guide using the community docs as the primary source of information:

http://docs.jboss.org/jbpm/v5.1/userguide/ch14.html
Comment 2 Radovan Synek 2012-05-17 06:40:01 EDT
Hi Lee,

I have found wrong information in chapter 11.1.4. Configuring Persistence.

By default, persistence is turned off and processes exists just in memory. To turn persistence on, the user has to do this:

public class MyProcessTest extends JbpmJUnitTestCase {

    public MyProcessTest() {
        // configure this tests to use persistence in this case
        super(true);
        setPersistence(true);
    }
...

Passing true to constructor of JbpmJUnitTestCase starts H2 server, creates data source and entity manager factory.

setPersistence(true) turns on creation of JPA enabled knowledge session instead of common stateful knowledge session.

In addition - just to be sure - this documentation should be based on the project documentation version 5.2, not 5.1.

Regards,
Radek
Comment 3 lcarlon 2012-05-30 19:14:33 EDT
Thanks Radovan,

Changes have been made to section to section 11.1.14

Lee
Comment 4 lcarlon 2012-06-24 22:54:51 EDT
Closing as status already set to verified.

Note You need to log in before you can comment on or make changes to this bug.